// MFCMinimalView.cpp : Implementierung der Klasse CMFCMinimalView
//

#include "stdafx.h"
#include "MFCMinimal.h"

#include "MFCMinimalDoc.h"
#include "MFCMinimalView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CMFCMinimalView

IMPLEMENT_DYNCREATE(CMFCMinimalView, CView)

BEGIN_MESSAGE_MAP(CMFCMinimalView, CView)
	// Standarddruckbefehle
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
END_MESSAGE_MAP()

// CMFCMinimalView Erstellung/Zerstrung

CMFCMinimalView::CMFCMinimalView()
{
	// TODO: Hier Code zum Erstellen einfgen

}

CMFCMinimalView::~CMFCMinimalView()
{
}

BOOL CMFCMinimalView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: ndern Sie hier die Fensterklasse oder die Darstellung, indem Sie
	//  CREATESTRUCT cs modifizieren.

	return CView::PreCreateWindow(cs);
}

// CMFCMinimalView-Zeichnung

//void CMFCMinimalView::OnDraw(CDC* /*pDC*/)
void CMFCMinimalView::OnDraw(CDC* pDC)
{
	CMFCMinimalDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	if (!pDoc)
		return;

	// TODO: Code zum Zeichnen der systemeigenen Daten hinzufgen
	pDC->Rectangle (100, 100, 200, 200);

	//Ein Rechteck in anderer Vordergrund- und Hintergrundfarbe.
	//Dazu mssen wir uns einen Brush definieren.
	CBrush *brushRed = new CBrush (RGB (255, 0, 0) );
	CPen *penBlue = new CPen (PS_SOLID, 2, RGB (0, 0, 255) );
	pDC->SelectObject (brushRed);
	pDC->SelectObject (penBlue);
	//Noch ein Rechteck, diesmal gefllt...
	pDC->Rectangle (100, 210, 200, 310);
	//Den Brush und den Pen wieder freigeben:
	delete brushRed;
	delete penBlue;
}


// CMFCMinimalView drucken

BOOL CMFCMinimalView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// Standardvorbereitung
	return DoPreparePrinting(pInfo);
}

void CMFCMinimalView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: Zustzliche Initialisierung vor dem Drucken hier einfgen
}

void CMFCMinimalView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: Bereinigung nach dem Drucken einfgen
}


// CMFCMinimalView Diagnose

#ifdef _DEBUG
void CMFCMinimalView::AssertValid() const
{
	CView::AssertValid();
}

void CMFCMinimalView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CMFCMinimalDoc* CMFCMinimalView::GetDocument() const // Nicht-Debugversion ist inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CMFCMinimalDoc)));
	return (CMFCMinimalDoc*)m_pDocument;
}
#endif //_DEBUG


// CMFCMinimalView Meldungshandler
